import Commander from "./commander";
declare type Options = {
    db?: number;
    auth?: string;
};
declare class Webdis {
    private readonly prefixedUrl;
    private readonly dbIndex?;
    private readonly commander;
    private subscriptions;
    constructor(url: string, options?: Options);
    command(): Commander;
    subscribe(channel: string, cb: (arg: any) => void): string;
    unsubscribe(channel: string, uuid: string): void;
    quit(): Promise<void>;
}
export default Webdis;
